Summary: A brain teaser game and trainer to have fun and to keep your brain trained
Name: gbrainy
Version: 0.70
Release: %mkrel 1
Source0: http://www.softcatala.org/~jmas/gbrainy/%{name}-%{version}.tar.gz
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://live.gnome.org/gbrainy
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: pkgconfig(glade-sharp-2.0)
BuildRequires: pkgconfig(gnome-sharp-2.0)
BuildRequires: pkgconfig(gtk-sharp-2.0)

%description
gbrainy is a brain teaser game and trainer written for GNOME using Mono,
C# and Cairo. 

Its mission is to provide a platform for creating different kinds of
brain-teasers and brain trainer games for GNOME.

%prep
%setup -q -n%name-%version

%build
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std
%find_lang %name

%clean
rm -fr %buildroot

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,-,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_libexecdir}/%name/%name.exe
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man6/*
%{_datadir}/pixmaps/*
%{_datadir}/games/%{name}


%changelog
* Sat Jun 21 2008 Funda Wang <fundawang@mandriva.org> 0.70-1mdv2008.0
+ Revision: 227763
- fix br in order to backport
- update to new version 0.70

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Apr 15 2008 Funda Wang <fundawang@mandriva.org> 0.61-1mdv2009.0
+ Revision: 193655
- BR gnome-sharp2-devel
- New version 0.61

* Sat Mar 08 2008 Funda Wang <fundawang@mandriva.org> 0.60-1mdv2008.1
+ Revision: 182089
- New version 0.60

* Sun Feb 24 2008 Funda Wang <fundawang@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 174264
- New version 0.53

* Fri Feb 08 2008 Funda Wang <fundawang@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 164029
- New version 0.52

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 158577
- add missing file
- New version 0.51

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Funda Wang <fundawang@mandriva.org> 0.4.1-1mdv2008.1
+ Revision: 111010
- fix file list
- drop patch0
- New version 0.41

* Fri Nov 09 2007 Funda Wang <fundawang@mandriva.org> 3mdv2008.1-current
+ Revision: 107078
- rebuild for new lzma

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 0.3-2mdv2008.1
+ Revision: 102721
- fix startup script (bug#35093)

* Fri Oct 26 2007 Funda Wang <fundawang@mandriva.org> 0.3-1mdv2008.1
+ Revision: 102284
- More BR
- add filelist
- Import gbrainy
- create gbrainy

